import { AfterViewInit } from "@angular/core";
import { PageElement } from "../page-element";
import { PathService } from "../../../service/path.service";
import { IPathApp } from "../../../pathinterface";
import { TranslationService } from "../../../service/translation.service";
import * as i0 from "@angular/core";
export declare class ChartComponent implements AfterViewInit {
    chart: ChartElement;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChartComponent, "path-radar-chart", never, { "chart": "chart"; }, { "chart": "chart"; }, never, never>;
}
export declare class ChartElement extends PageElement {
    private pathService;
    translationService: TranslationService;
    private _url;
    private _data;
    constructor(app: IPathApp, pathService: PathService, translationService: TranslationService);
    load(loader: (data: any) => any): void;
    get url(): string;
    set url(value: string);
    get data(): any;
    set data(value: any);
}
